# EL4 doesn't have libpcap-devel
%if 0%{?rhel} && "%rhel" < "5"
%define pcapdep libpcap
%else
%define pcapdep libpcap-devel
%endif

Name:           tcpreplay
Version:        3.2.5
Release:        2%{?dist}
Summary:        Replay captured network traffic

Group:          Applications/Internet
License:        BSD
URL:            http://tcpreplay.synfin.net/trac/
Source:         http://prdownloads.sourceforge.net/tcpreplay/tcpreplay-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{pcapdep} >= 0.8.0, tcpdump
Requires:       /usr/sbin/tcpdump

%description
Tcpreplay is a tool to replay captured network traffic. Currently, tcpreplay
supports pcap (tcpdump) and snoop capture formats. Also included, is tcpprep
a tool to pre-process capture files to allow increased performance under
certain conditions as well as capinfo which provides basic information about
capture files.

%prep
%setup -q

%build
%configure --enable-dynamic-link \
           --enable-tcpreplay-edit \
           --enable-local-libopts \
           --disable-libopts-install

# make sure we use proper CFLAGS
%{__sed} -i \
         -e 's/^CFLAGS.*/CFLAGS=${RPM_OPT_FLAGS} -std=gnu99 -D_U_="__attribute__((unused))"/' \
         $(find . -name Makefile)

# remove unneeded docs
%{__rm} -f docs/INSTALL docs/Makefile*

# fix wrong permissions
%{__chmod} -x src/*.c src/common/*.c

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} %{?_smp_mflags} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README docs/*
%doc %{_mandir}/man1/*
%{_bindir}/*

%changelog
* Sat Feb  9 2008 Bojan Smojver <bojan@rexursive com> - 3.2.5-2
- rebuild for GCC 4.3

* Thu Jan 24 2008 Bojan Smojver <bojan@rexursive com> - 3.2.5-1
- bump up to 3.2.5

* Fri Jan 18 2008 Bojan Smojver <bojan@rexursive com> - 3.2.4-1
- bump up to 3.2.4
- use --enable-tcpreplay-edit when building

* Fri Nov 02 2007 Bojan Smojver <bojan@rexursive com> - 3.2.3-1
- bump up to 3.2.3
- drop compilation fix patch, now upstream

* Thu Nov 01 2007 Bojan Smojver <bojan@rexursive com> - 3.2.2-2
- fix compilation

* Thu Nov 01 2007 Bojan Smojver <bojan@rexursive com> - 3.2.2-1
- bump up to 3.2.2

* Fri Oct 26 2007 Bojan Smojver <bojan@rexursive com> - 3.2.1-1
- bump up to 3.2.1

* Mon Aug 27 2007 Bojan Smojver <bojan@rexursive com> - 3.2.0-1
- bump up to 3.2.0
- drop -enable-64bits option to configure - this is now default

* Fri Jul 20 2007 Bojan Smojver <bojan@rexursive com> - 3.1.1-1
- bump up to 3.1.1
- drop the patch for libpcap.so detection, fixed upstream

* Fri May 04 2007 Bojan Smojver <bojan@rexursive com> - 3.0.1-2
- static libraries not shipped in FC7 - fix libpcap.so detection

* Thu May 03 2007 Bojan Smojver <bojan@rexursive com> - 3.0.1-1
- Bump up to new release 3.0.1
- flowreplay doesn't compile, will enable when it does

* Tue Apr 17 2007 Bojan Smojver <bojan@rexursive com> - 2.3.5-4
- Remove Makefile from docs

* Tue Apr 17 2007 Bojan Smojver <bojan@rexursive com> - 2.3.5-3
- Implement suggestions from package review process

* Tue Apr 03 2007 Bojan Smojver <bojan@rexursive com> - 2.3.5-2
- Add tcpdump to build and runtime dependencies
- Cater for EL4, where there is no libpcap-devel

* Mon Apr 02 2007 Bojan Smojver <bojan@rexursive com> - 2.3.5-1
- Initial release, 2.3.5
- Based on package provided by Dag Wieers
